﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace ListBoxSortFilterSearch.Model
{
    internal class Emp : INotifyPropertyChanged
    {
        private int _empNo;
        private string _name;
        private string _job;

        public event PropertyChangedEventHandler PropertyChanged;

        public int EmpNo
        {
            get { return _empNo; }
            set
            {
                _empNo = value;
                OnPropertyChanged(nameof(EmpNo));
            }
        }

        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
                OnPropertyChanged(nameof(Name));
            }
        }

        public string Job
        {
            get { return _job; }
            set
            {
                _job = value;
                OnPropertyChanged(nameof(Job));
            }
        }

        private void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            if (this.PropertyChanged == null)
                return;

            this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
